Bug 13920 - Many parts of the site break when cookies are turned off
Many parts of the site break when cookies are turned off
Status: CLOSED DEFERRED
Product: Red Hat Web Site
Classification: Red Hat
Component: Other (Show other bugs)
current
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lancaster
Paul Lindner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-13 16:24 EDT by Paul Lindner
Modified: 2007-03-26 23:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 18:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Lindner 2000-07-13 16:24:45 EDT
Many parts of the redhat.com don't work when cookies are disabled.

This can be fixed by enabling some options in Apache::ASP.

Some testing should be done to fix the cookieless behavior.
Comment 1 Tom Lancaster 2001-04-09 19:19:32 EDT
I think we can and should do this by sniffing for cookies, and enabling
cookieless sessions for users without.
Comment 2 Tom Lancaster 2001-04-24 20:18:37 EDT
Apache::ASP supports this. One caveat is that we need to make sure all external
redirects ( off-site ) get scrubbed of session id on the way out.
Comment 3 Tom Lancaster 2001-04-25 18:27:38 EDT
Activated on webdevel. Only affects local urls, so scrubbing shouldn't be an
issue. Need to see whether form-based redirects preserve session-id.
Comment 4 Tom Lancaster 2001-05-21 18:37:11 EDT
Bah. I think this one will not be possible anytime soon, as it would require
great coordination with Interchange and other parts of the site.
Changing priority and severity downwards.
Comment 5 Jay Turner 2001-09-17 14:58:30 EDT
Closing out this issue, as I don't see any way/reason to go cookieless at this
point.

Note You need to log in before you can comment on or make changes to this bug.